Subject: Re: bug#46884: [PATCH] 27.1; Cannot run find-dired with -maxdepth

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Mar 2021 15:53:50 +0200

> From: Allen Li <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 03 Mar 2021 20:50:23 -0800
> 
> Eli Zaretskii <[email-masked]> writes:
> >> From: Allen Li <[email-masked]>
> >> 
> >>  This is okay, IMO, but it would be better to allow the user to specify
> >>  GLOBAL-ARGS interactively if the user invokes the command with a
> >>  prefix argument.
> >> 
> >>  How would that interact with find-args-history?
> >
> > Sorry, I don't understand the question.  What does prefix arg have to
> > do with history?  Maybe I'm missing something.
> 
> Currently, `find-dired' stores the `completing-read' history for `args' in
> `find-args-history'.  It also stores the value for `args' in `find-args'
> to use as the default for the next `find-dired' interactive call.
> 
> If we were to make `global-args' accessible interactively, how would the
> history for it be stored?

Just take what the user types for global-args and add it to the
history, I'd say.  I think this would solve all the problems you
mention.  Or what am I missing?